Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 454687 (perl-Mail-ClamAV)

Summary: Review Request: perl-Mail-ClamAV - Perl extension for the clamav virus scanner
Product: [Fedora] Fedora Reporter: Steven Pritchard <steve>
Component: Package ReviewAssignee: Jason Tibbitts <tibbs>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: cweyl, fedora-package-review, johan-fedora, notting
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-10-23 21:43:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 201449, 454442, 456144    

Description Steven Pritchard 2008-07-09 18:28:56 UTC
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Mail-ClamAV/perl-Mail-ClamAV.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Mail-ClamAV-0.22-1.src.rpm
Description:
Clam AntiVirus is an anti-virus toolkit for UNIX http://www.clamav.com/.
This module provide a simple interface to its C API.

Comment 1 Jason Tibbitts 2008-08-10 20:18:51 UTC
This is standard Perl module, but a couple of things bother me.

If you visit the upstream URL, you can't see version 0.22, just 0.13.  If you search for ClamAV on CPAN you'll see a link to 0.22, but clicking there gets you a page with a big red "UNAUTHORIZED" warning.  What's that about?

When running the tests, I see the following:
        (in cleanup) panic: free from wrong pool.
which is kind of troubling.

I see no problems with the packaging, but I'm reluctant to approve this without some discussion of those two issues.

* source files match upstream:
   1927671296cd398a1b0ce3102683ed23e78648fc9dd643a8fab92d18e33b010b  
   Mail-ClamAV-0.22.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   ClamAV.so()(64bit)
   perl(Mail::ClamAV) = 0.22
   perl(Mail::ClamAV::Status)
   perl-Mail-ClamAV = 0.22-1.fc10
   perl-Mail-ClamAV(x86-64) = 0.22-1.fc10
  =
   libclamav.so.4()(64bit)
   libclamav.so.4(CLAMAV_PUBLIC)(64bit)
   perl >= 0:5.006001
   perl(:MODULE_COMPAT_5.10.0)
   perl(Carp)
   perl(Class::Struct)
   perl(Exporter)
   perl(IO::Handle)
   perl(Inline)
   perl(Inline) >= 0.44
   perl(strict)
   perl(warnings)

* %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=10,  2 wallclock secs ( 0.01 usr  0.00 sys +  1.58 cusr  0.12 
    csys =  1.71 CPU)
  (discounting the weird panic at the end)
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

Comment 2 Jason Tibbitts 2008-10-01 16:13:33 UTC
Any response to my review commentary?

Comment 3 Jason Tibbitts 2008-10-23 21:43:12 UTC
Well, its been three more weeks.  I guess I'll close this.